org.flexdock.docking.defaults

## Class DockablePropertyChangeHandler.Factory

- java.lang.Object
- - org.flexdock.docking.props.PropertyChangeListenerFactory
  - - org.flexdock.docking.defaults.DockablePropertyChangeHandler.Factory

- Enclosing class:
    DockablePropertyChangeHandler

      public static class DockablePropertyChangeHandler.Factory
      extends PropertyChangeListenerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockablePropertyChangeHandler.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.beans.PropertyChangeListener` | `getListener()`

    - ### Methods inherited from class org.flexdock.docking.props.PropertyChangeListenerFactory

      `addFactory, getListeners, removeFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockablePropertyChangeHandler.Factory

          public DockablePropertyChangeHandler.Factory()

  - ### Method Detail

    - #### getListener

          public java.beans.PropertyChangeListener getListener()

      Specified by:
        `getListener` in class `PropertyChangeListenerFactory`